VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsCell"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private width           As Integer
Private height          As Integer
Private top             As Integer
Private left            As Integer
Private X               As Integer
Private Y               As Integer
Private imageIndex      As Integer
Private index           As Integer

Private Sub Class_Initialize()
    width = 0
    height = 0
    imageIndex = -1
End Sub

Public Property Let setWidth(ByVal newWidth As Integer)
    width = newWidth
End Property

Public Property Get getWidth() As Integer
    getWidth = width
End Property

Public Property Let setHeight(ByVal newHeight As Integer)
    height = newHeight
End Property

Public Property Get getHeight() As Integer
    getHeight = height
End Property

Public Property Let setLeft(ByVal newLeft As Integer)
    left = newLeft
End Property

Public Property Get getLeft() As Integer
    getLeft = left
End Property

Public Property Let setTop(ByVal newTop As Integer)
    top = newTop
End Property

Public Property Get getTop() As Integer
    getTop = top
End Property

Public Property Let setX(ByVal newX As Integer)
    X = newX
End Property

Public Property Get getX() As Integer
    getX = X
End Property

Public Property Let setY(ByVal newY As Integer)
    Y = newY
End Property

Public Property Get getY() As Integer
    getY = Y
End Property

Public Property Let setImageIndex(ByVal newImageIndex As Integer)
    imageIndex = newImageIndex
End Property

Public Property Get getImageIndex() As Integer
    getImageIndex = imageIndex
End Property

Public Property Let setIndex(ByVal newCellIndex As Integer)
    index = newCellIndex
End Property

Public Property Get getIndex() As Integer
    getIndex = index
End Property

